How JustAnswer Works:

  • Ask an Expert
    Experts are full of valuable knowledge and are ready to help with any question. Credentials confirmed by a Fortune 500 verification firm.
  • Get a Professional Answer
    Via email, text message, or notification as you wait on our site.
    Ask follow up questions if you need to.
  • 100% Satisfaction Guarantee
    Rate the answer you receive.

Ask James Your Own Question

James, Sr. Mac Support Expert
Category: Mac
Satisfied Customers: 15908
Experience:  Mac Expert
Type Your Mac Question Here...
James is online now
A new question is answered every 9 seconds

I have a imac G5 Power Pc running 250GB Leopard. It is a Mac

This answer was rated:

I have a imac G5 Power Pc running 250GB Leopard. It is a Mac OSX 10.5.8 64 bit system. Pogo games will not load many games saying i need to upgrade my Flash Player. The system says i cannot upgrade any more and i have Flash Player went to a tech support site that wanted megabucks to fix"viruses and errors"i had and hey said pogo games would work then. I do not have that kind of money. Is thee something i can do to get my pogo games to play on this older system. Everything else works well. It really seems like my version of Flash Player may not be activated for pogo . Videos seem to work.
Thank you
C Kozlowski
Hi, my name is James.

Pogo makes use of the latest and most modern features of Flash, and this means it must have the latest version of Flash installed.
Flash, in its turn, needs certain resources from the underlying operating system, which simply do not exist in earlier Mac OSX system.

The latest OSX, in its turn, requires certain hardware capabilities which your old G5 can no longer provide.

BotXXXXX XXXXXne, the old G5 can't run newer OSX, which means it can't run modern flash, which means it can't modern games. I know other games still work, but you can expect that these games will gradually stop working as their infrastructure is updated.

I hope this information is somewhat useful. I'm afraid there is no way around getting updated hardware, however it doesn't have to be a new Mac.

Pogo games will run perfectly well on a Windows 7 or Windows 8 computer, and those can be had for as little as $400.

I hope this is helpful information!

I'd appreciate it if you can rate me by clicking one of the faces below, or let me know if you have any questions.


Customer: replied 3 years ago.

Flash Player says the archives versions will work and that is what i downloaded. You are saying that is not so. I am correct?



The archives contain older versions of flash player, and you already have the latest version of flash player installed.

Pogo games require a more updated version of flash player than what will actually run on your G5.

Flash that will work with your G5 is Flash Player
The current flash player version is at

I hope this makes sense.

If you have any other questions or need more information, please ask me – I’ll be happy to respond!
I'd appreciate it if you can rate my service using the faces below my answer.

Many thanks,

James and other Mac Specialists are ready to help you